#include <omp.h>
#include <stdio.h>
int main() {
    int count = 0;

    #pragma omp parallel for num_threads(5)
    for (int i = 0; i < 100000; i++) {
	#pragma omp atomic        
	count++; 

}
printf("Final count: %d\n", count);
    return 0;
}
